/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let RadialBaseChartDescription = /*@__PURE__*/ (() => {
    class RadialBaseChartDescription extends DomainChartDescription {
        get_type() {
            return "RadialBaseChart";
        }
        constructor() {
            super();
            this.ur = null;
            this.u9 = null;
            this.sw = 0;
            this.sy = 0;
            this.sx = 0;
            this.sv = 0;
            this.td = 0;
            this.tf = 0;
            this.te = 0;
            this.tc = 0;
            this.uw = null;
            this.ve = null;
            this.up = null;
            this.uq = null;
            this.s7 = 0;
            this.to = 0;
            this.s6 = 0;
            this.tn = 0;
            this.s9 = 0;
            this.tq = 0;
            this.s8 = 0;
            this.tp = 0;
            this.s5 = 0;
            this.tm = 0;
            this.u7 = null;
            this.vp = null;
            this.ux = null;
            this.vf = null;
            this.u8 = null;
            this.vq = null;
            this.uv = null;
            this.vd = null;
            this.u0 = null;
            this.vi = null;
            this.sz = 0;
            this.tg = 0;
            this.s0 = 0;
            this.th = 0;
            this.u2 = null;
            this.vk = null;
            this.u3 = null;
            this.vl = null;
            this.s1 = 0;
            this.ti = 0;
            this.s2 = 0;
            this.tj = 0;
            this.u4 = null;
            this.vm = null;
            this.s3 = 0;
            this.tk = 0;
            this.u5 = null;
            this.vn = null;
            this.u1 = null;
            this.vj = null;
            this.su = 0;
            this.tb = 0;
            this.st = 0;
            this.ta = 0;
            this.s4 = 0;
            this.tl = 0;
            this.sp = false;
            this.sq = false;
            this.u6 = null;
            this.vo = null;
            this.ut = null;
            this.vb = null;
            this.uy = null;
            this.vg = null;
            this.uz = null;
            this.vh = null;
            this.vc = null;
            this.uu = null;
            this.us = null;
            this.sl = null;
            this.va = null;
            this.sm = null;
        }
        get angleAxisFormatLabelRef() {
            return this.ur;
        }
        set angleAxisFormatLabelRef(a) {
            this.ur = a;
            this.g("AngleAxisFormatLabelRef");
        }
        get valueAxisFormatLabelRef() {
            return this.u9;
        }
        set valueAxisFormatLabelRef(a) {
            this.u9 = a;
            this.g("ValueAxisFormatLabelRef");
        }
        get angleAxisLabelLeftMargin() {
            return this.sw;
        }
        set angleAxisLabelLeftMargin(a) {
            this.sw = a;
            this.g("AngleAxisLabelLeftMargin");
        }
        get angleAxisLabelTopMargin() {
            return this.sy;
        }
        set angleAxisLabelTopMargin(a) {
            this.sy = a;
            this.g("AngleAxisLabelTopMargin");
        }
        get angleAxisLabelRightMargin() {
            return this.sx;
        }
        set angleAxisLabelRightMargin(a) {
            this.sx = a;
            this.g("AngleAxisLabelRightMargin");
        }
        get angleAxisLabelBottomMargin() {
            return this.sv;
        }
        set angleAxisLabelBottomMargin(a) {
            this.sv = a;
            this.g("AngleAxisLabelBottomMargin");
        }
        get valueAxisLabelLeftMargin() {
            return this.td;
        }
        set valueAxisLabelLeftMargin(a) {
            this.td = a;
            this.g("ValueAxisLabelLeftMargin");
        }
        get valueAxisLabelTopMargin() {
            return this.tf;
        }
        set valueAxisLabelTopMargin(a) {
            this.tf = a;
            this.g("ValueAxisLabelTopMargin");
        }
        get valueAxisLabelRightMargin() {
            return this.te;
        }
        set valueAxisLabelRightMargin(a) {
            this.te = a;
            this.g("ValueAxisLabelRightMargin");
        }
        get valueAxisLabelBottomMargin() {
            return this.tc;
        }
        set valueAxisLabelBottomMargin(a) {
            this.tc = a;
            this.g("ValueAxisLabelBottomMargin");
        }
        get angleAxisLabelTextColor() {
            return this.uw;
        }
        set angleAxisLabelTextColor(a) {
            this.uw = a;
            this.g("AngleAxisLabelTextColor");
        }
        get valueAxisLabelTextColor() {
            return this.ve;
        }
        set valueAxisLabelTextColor(a) {
            this.ve = a;
            this.g("ValueAxisLabelTextColor");
        }
        get actualAngleAxisLabelTextColor() {
            return this.up;
        }
        set actualAngleAxisLabelTextColor(a) {
            this.up = a;
            this.g("ActualAngleAxisLabelTextColor");
        }
        get actualValueAxisLabelTextColor() {
            return this.uq;
        }
        set actualValueAxisLabelTextColor(a) {
            this.uq = a;
            this.g("ActualValueAxisLabelTextColor");
        }
        get angleAxisTitleMargin() {
            return this.s7;
        }
        set angleAxisTitleMargin(a) {
            this.s7 = a;
            this.g("AngleAxisTitleMargin");
        }
        get valueAxisTitleMargin() {
            return this.to;
        }
        set valueAxisTitleMargin(a) {
            this.to = a;
            this.g("ValueAxisTitleMargin");
        }
        get angleAxisTitleLeftMargin() {
            return this.s6;
        }
        set angleAxisTitleLeftMargin(a) {
            this.s6 = a;
            this.g("AngleAxisTitleLeftMargin");
        }
        get valueAxisTitleLeftMargin() {
            return this.tn;
        }
        set valueAxisTitleLeftMargin(a) {
            this.tn = a;
            this.g("ValueAxisTitleLeftMargin");
        }
        get angleAxisTitleTopMargin() {
            return this.s9;
        }
        set angleAxisTitleTopMargin(a) {
            this.s9 = a;
            this.g("AngleAxisTitleTopMargin");
        }
        get valueAxisTitleTopMargin() {
            return this.tq;
        }
        set valueAxisTitleTopMargin(a) {
            this.tq = a;
            this.g("ValueAxisTitleTopMargin");
        }
        get angleAxisTitleRightMargin() {
            return this.s8;
        }
        set angleAxisTitleRightMargin(a) {
            this.s8 = a;
            this.g("AngleAxisTitleRightMargin");
        }
        get valueAxisTitleRightMargin() {
            return this.tp;
        }
        set valueAxisTitleRightMargin(a) {
            this.tp = a;
            this.g("ValueAxisTitleRightMargin");
        }
        get angleAxisTitleBottomMargin() {
            return this.s5;
        }
        set angleAxisTitleBottomMargin(a) {
            this.s5 = a;
            this.g("AngleAxisTitleBottomMargin");
        }
        get valueAxisTitleBottomMargin() {
            return this.tm;
        }
        set valueAxisTitleBottomMargin(a) {
            this.tm = a;
            this.g("ValueAxisTitleBottomMargin");
        }
        get angleAxisTitleTextColor() {
            return this.u7;
        }
        set angleAxisTitleTextColor(a) {
            this.u7 = a;
            this.g("AngleAxisTitleTextColor");
        }
        get valueAxisTitleTextColor() {
            return this.vp;
        }
        set valueAxisTitleTextColor(a) {
            this.vp = a;
            this.g("ValueAxisTitleTextColor");
        }
        get angleAxisLabelTextStyle() {
            return this.ux;
        }
        set angleAxisLabelTextStyle(a) {
            this.ux = a;
            this.g("AngleAxisLabelTextStyle");
        }
        get valueAxisLabelTextStyle() {
            return this.vf;
        }
        set valueAxisLabelTextStyle(a) {
            this.vf = a;
            this.g("ValueAxisLabelTextStyle");
        }
        get angleAxisTitleTextStyle() {
            return this.u8;
        }
        set angleAxisTitleTextStyle(a) {
            this.u8 = a;
            this.g("AngleAxisTitleTextStyle");
        }
        get valueAxisTitleTextStyle() {
            return this.vq;
        }
        set valueAxisTitleTextStyle(a) {
            this.vq = a;
            this.g("ValueAxisTitleTextStyle");
        }
        get angleAxisLabelRef() {
            return this.uv;
        }
        set angleAxisLabelRef(a) {
            this.uv = a;
            this.g("AngleAxisLabelRef");
        }
        get valueAxisLabelRef() {
            return this.vd;
        }
        set valueAxisLabelRef(a) {
            this.vd = a;
            this.g("ValueAxisLabelRef");
        }
        get angleAxisMajorStroke() {
            return this.u0;
        }
        set angleAxisMajorStroke(a) {
            this.u0 = a;
            this.g("AngleAxisMajorStroke");
        }
        get valueAxisMajorStroke() {
            return this.vi;
        }
        set valueAxisMajorStroke(a) {
            this.vi = a;
            this.g("ValueAxisMajorStroke");
        }
        get angleAxisMajorStrokeThickness() {
            return this.sz;
        }
        set angleAxisMajorStrokeThickness(a) {
            this.sz = a;
            this.g("AngleAxisMajorStrokeThickness");
        }
        get valueAxisMajorStrokeThickness() {
            return this.tg;
        }
        set valueAxisMajorStrokeThickness(a) {
            this.tg = a;
            this.g("ValueAxisMajorStrokeThickness");
        }
        get angleAxisMinorStrokeThickness() {
            return this.s0;
        }
        set angleAxisMinorStrokeThickness(a) {
            this.s0 = a;
            this.g("AngleAxisMinorStrokeThickness");
        }
        get valueAxisMinorStrokeThickness() {
            return this.th;
        }
        set valueAxisMinorStrokeThickness(a) {
            this.th = a;
            this.g("ValueAxisMinorStrokeThickness");
        }
        get angleAxisStrip() {
            return this.u2;
        }
        set angleAxisStrip(a) {
            this.u2 = a;
            this.g("AngleAxisStrip");
        }
        get valueAxisStrip() {
            return this.vk;
        }
        set valueAxisStrip(a) {
            this.vk = a;
            this.g("ValueAxisStrip");
        }
        get angleAxisStroke() {
            return this.u3;
        }
        set angleAxisStroke(a) {
            this.u3 = a;
            this.g("AngleAxisStroke");
        }
        get valueAxisStroke() {
            return this.vl;
        }
        set valueAxisStroke(a) {
            this.vl = a;
            this.g("ValueAxisStroke");
        }
        get angleAxisStrokeThickness() {
            return this.s1;
        }
        set angleAxisStrokeThickness(a) {
            this.s1 = a;
            this.g("AngleAxisStrokeThickness");
        }
        get valueAxisStrokeThickness() {
            return this.ti;
        }
        set valueAxisStrokeThickness(a) {
            this.ti = a;
            this.g("ValueAxisStrokeThickness");
        }
        get angleAxisTickLength() {
            return this.s2;
        }
        set angleAxisTickLength(a) {
            this.s2 = a;
            this.g("AngleAxisTickLength");
        }
        get valueAxisTickLength() {
            return this.tj;
        }
        set valueAxisTickLength(a) {
            this.tj = a;
            this.g("ValueAxisTickLength");
        }
        get angleAxisTickStroke() {
            return this.u4;
        }
        set angleAxisTickStroke(a) {
            this.u4 = a;
            this.g("AngleAxisTickStroke");
        }
        get valueAxisTickStroke() {
            return this.vm;
        }
        set valueAxisTickStroke(a) {
            this.vm = a;
            this.g("ValueAxisTickStroke");
        }
        get angleAxisTickStrokeThickness() {
            return this.s3;
        }
        set angleAxisTickStrokeThickness(a) {
            this.s3 = a;
            this.g("AngleAxisTickStrokeThickness");
        }
        get valueAxisTickStrokeThickness() {
            return this.tk;
        }
        set valueAxisTickStrokeThickness(a) {
            this.tk = a;
            this.g("ValueAxisTickStrokeThickness");
        }
        get angleAxisTitle() {
            return this.u5;
        }
        set angleAxisTitle(a) {
            this.u5 = a;
            this.g("AngleAxisTitle");
        }
        get valueAxisTitle() {
            return this.vn;
        }
        set valueAxisTitle(a) {
            this.vn = a;
            this.g("ValueAxisTitle");
        }
        get angleAxisMinorStroke() {
            return this.u1;
        }
        set angleAxisMinorStroke(a) {
            this.u1 = a;
            this.g("AngleAxisMinorStroke");
        }
        get valueAxisMinorStroke() {
            return this.vj;
        }
        set valueAxisMinorStroke(a) {
            this.vj = a;
            this.g("ValueAxisMinorStroke");
        }
        get angleAxisLabelAngle() {
            return this.su;
        }
        set angleAxisLabelAngle(a) {
            this.su = a;
            this.g("AngleAxisLabelAngle");
        }
        get valueAxisLabelAngle() {
            return this.tb;
        }
        set valueAxisLabelAngle(a) {
            this.tb = a;
            this.g("ValueAxisLabelAngle");
        }
        get angleAxisExtent() {
            return this.st;
        }
        set angleAxisExtent(a) {
            this.st = a;
            this.g("AngleAxisExtent");
        }
        get valueAxisExtent() {
            return this.ta;
        }
        set valueAxisExtent(a) {
            this.ta = a;
            this.g("ValueAxisExtent");
        }
        get angleAxisTitleAngle() {
            return this.s4;
        }
        set angleAxisTitleAngle(a) {
            this.s4 = a;
            this.g("AngleAxisTitleAngle");
        }
        get valueAxisTitleAngle() {
            return this.tl;
        }
        set valueAxisTitleAngle(a) {
            this.tl = a;
            this.g("ValueAxisTitleAngle");
        }
        get angleAxisInverted() {
            return this.sp;
        }
        set angleAxisInverted(a) {
            this.sp = a;
            this.g("AngleAxisInverted");
        }
        get valueAxisInverted() {
            return this.sq;
        }
        set valueAxisInverted(a) {
            this.sq = a;
            this.g("ValueAxisInverted");
        }
        get angleAxisTitleAlignment() {
            return this.u6;
        }
        set angleAxisTitleAlignment(a) {
            this.u6 = a;
            this.g("AngleAxisTitleAlignment");
        }
        get valueAxisTitleAlignment() {
            return this.vo;
        }
        set valueAxisTitleAlignment(a) {
            this.vo = a;
            this.g("ValueAxisTitleAlignment");
        }
        get angleAxisLabelHorizontalAlignment() {
            return this.ut;
        }
        set angleAxisLabelHorizontalAlignment(a) {
            this.ut = a;
            this.g("AngleAxisLabelHorizontalAlignment");
        }
        get valueAxisLabelHorizontalAlignment() {
            return this.vb;
        }
        set valueAxisLabelHorizontalAlignment(a) {
            this.vb = a;
            this.g("ValueAxisLabelHorizontalAlignment");
        }
        get angleAxisLabelVerticalAlignment() {
            return this.uy;
        }
        set angleAxisLabelVerticalAlignment(a) {
            this.uy = a;
            this.g("AngleAxisLabelVerticalAlignment");
        }
        get valueAxisLabelVerticalAlignment() {
            return this.vg;
        }
        set valueAxisLabelVerticalAlignment(a) {
            this.vg = a;
            this.g("ValueAxisLabelVerticalAlignment");
        }
        get angleAxisLabelVisibility() {
            return this.uz;
        }
        set angleAxisLabelVisibility(a) {
            this.uz = a;
            this.g("AngleAxisLabelVisibility");
        }
        get valueAxisLabelVisibility() {
            return this.vh;
        }
        set valueAxisLabelVisibility(a) {
            this.vh = a;
            this.g("ValueAxisLabelVisibility");
        }
        get valueAxisLabelLocation() {
            return this.vc;
        }
        set valueAxisLabelLocation(a) {
            this.vc = a;
            this.g("ValueAxisLabelLocation");
        }
        get angleAxisLabelLocation() {
            return this.uu;
        }
        set angleAxisLabelLocation(a) {
            this.uu = a;
            this.g("AngleAxisLabelLocation");
        }
        get angleAxisLabelFormat() {
            return this.us;
        }
        set angleAxisLabelFormat(a) {
            this.us = a;
            this.g("AngleAxisLabelFormat");
        }
        get angleAxisLabelFormatSpecifiers() {
            return this.sl;
        }
        set angleAxisLabelFormatSpecifiers(a) {
            this.sl = a;
            this.g("AngleAxisLabelFormatSpecifiers");
        }
        get valueAxisLabelFormat() {
            return this.va;
        }
        set valueAxisLabelFormat(a) {
            this.va = a;
            this.g("ValueAxisLabelFormat");
        }
        get valueAxisLabelFormatSpecifiers() {
            return this.sm;
        }
        set valueAxisLabelFormatSpecifiers(a) {
            this.sm = a;
            this.g("ValueAxisLabelFormatSpecifiers");
        }
    }
    RadialBaseChartDescription.$t = /*@__PURE__*/ markType(RadialBaseChartDescription, 'RadialBaseChartDescription', DomainChartDescription.$);
    return RadialBaseChartDescription;
})();
